<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>pscip_stats_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>pscip_stats_t Struct Reference</h1><!-- doxytag: class="pscip_stats_t" --><code>#include &lt;<a class="el" href="pscip_8h-source.html">pscip.h</a>&gt;</code>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpscip__stats__t.html#c647919d8c5ec4bbbc58be57109c99b3">channel</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpscip__stats__t.html#e46adfbf3c7f0a63c6c9674c3c4be6be">rx</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpscip__stats__t.html#4aea32dc480a098e93826eb3ee1ef8e0">tx</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpscip__stats__t.html#df6485c52099018d382850dc396c0d48">err_flag</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpscip__stats__t.html#507d5bcb9f66993e4a643fa99e6670ca">link_err_flag</a> [5]</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpscip__stats__t.html#4b258b817442484add900e9c0277bf35">cntrl_stat</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpscip__stats__t.html#47a332aa892c703c615e8beb8ad8db09">linkdown_cnt</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpscip__stats__t.html#462f1b9d8580e9540a8080cbdf9cb8d9">txerr_cnt</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00040">40</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>
<hr><h2>Field Documentation</h2>
<a class="anchor" name="c647919d8c5ec4bbbc58be57109c99b3"></a><!-- doxytag: member="pscip_stats_t::channel" ref="c647919d8c5ec4bbbc58be57109c99b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structpscip__stats__t.html#c647919d8c5ec4bbbc58be57109c99b3">pscip_stats_t::channel</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00041">41</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00884">k_pscip_rdstatistics()</a>.</p>

</div>
</div><p>
<a class="anchor" name="4b258b817442484add900e9c0277bf35"></a><!-- doxytag: member="pscip_stats_t::cntrl_stat" ref="4b258b817442484add900e9c0277bf35" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structpscip__stats__t.html#4b258b817442484add900e9c0277bf35">pscip_stats_t::cntrl_stat</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00042">42</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00280">IP_DEBUG_read_errors()</a>, <a class="el" href="k__pscip_8c-source.html#l00693">k_pscip_rdwave()</a>, <a class="el" href="k__pscip_8c-source.html#l00431">k_pscip_read()</a>, <a class="el" href="k__pscip_8c-source.html#l00163">k_pscip_wrhiprio()</a>, <a class="el" href="k__pscip_8c-source.html#l00303">k_pscip_write()</a>, <a class="el" href="k__pscip_8c-source.html#l00561">k_pscip_wrwave()</a>, and <a class="el" href="pscip_8c-source.html#l00879">pscip_read_proc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="df6485c52099018d382850dc396c0d48"></a><!-- doxytag: member="pscip_stats_t::err_flag" ref="df6485c52099018d382850dc396c0d48" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structpscip__stats__t.html#df6485c52099018d382850dc396c0d48">pscip_stats_t::err_flag</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00042">42</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00884">k_pscip_rdstatistics()</a>, <a class="el" href="k__pscip_8c-source.html#l00693">k_pscip_rdwave()</a>, <a class="el" href="k__pscip_8c-source.html#l00431">k_pscip_read()</a>, <a class="el" href="k__pscip_8c-source.html#l00092">k_pscip_wait_linkdown()</a>, <a class="el" href="k__pscip_8c-source.html#l00163">k_pscip_wrhiprio()</a>, <a class="el" href="k__pscip_8c-source.html#l00303">k_pscip_write()</a>, <a class="el" href="k__pscip_8c-source.html#l00561">k_pscip_wrwave()</a>, and <a class="el" href="pscip_8c-source.html#l00761">pscip_irq_handler()</a>.</p>

</div>
</div><p>
<a class="anchor" name="507d5bcb9f66993e4a643fa99e6670ca"></a><!-- doxytag: member="pscip_stats_t::link_err_flag" ref="507d5bcb9f66993e4a643fa99e6670ca" args="[5]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structpscip__stats__t.html#507d5bcb9f66993e4a643fa99e6670ca">pscip_stats_t::link_err_flag</a>[5]          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00042">42</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="k__pscip_8c-source.html#l00884">k_pscip_rdstatistics()</a>, and <a class="el" href="pscip_8c-source.html#l00761">pscip_irq_handler()</a>.</p>

</div>
</div><p>
<a class="anchor" name="47a332aa892c703c615e8beb8ad8db09"></a><!-- doxytag: member="pscip_stats_t::linkdown_cnt" ref="47a332aa892c703c615e8beb8ad8db09" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structpscip__stats__t.html#47a332aa892c703c615e8beb8ad8db09">pscip_stats_t::linkdown_cnt</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00042">42</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00280">IP_DEBUG_read_errors()</a>, <a class="el" href="k__pscip_8c-source.html#l00884">k_pscip_rdstatistics()</a>, <a class="el" href="k__pscip_8c-source.html#l00092">k_pscip_wait_linkdown()</a>, <a class="el" href="pscip_8c-source.html#l00761">pscip_irq_handler()</a>, and <a class="el" href="pscip_8c-source.html#l00879">pscip_read_proc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="e46adfbf3c7f0a63c6c9674c3c4be6be"></a><!-- doxytag: member="pscip_stats_t::rx" ref="e46adfbf3c7f0a63c6c9674c3c4be6be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structpscip__stats__t.html#e46adfbf3c7f0a63c6c9674c3c4be6be">pscip_stats_t::rx</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00042">42</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00280">IP_DEBUG_read_errors()</a>, <a class="el" href="k__pscip_8c-source.html#l00884">k_pscip_rdstatistics()</a>, <a class="el" href="k__pscip_8c-source.html#l00693">k_pscip_rdwave()</a>, <a class="el" href="k__pscip_8c-source.html#l00431">k_pscip_read()</a>, and <a class="el" href="pscip_8c-source.html#l00879">pscip_read_proc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="4aea32dc480a098e93826eb3ee1ef8e0"></a><!-- doxytag: member="pscip_stats_t::tx" ref="4aea32dc480a098e93826eb3ee1ef8e0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structpscip__stats__t.html#4aea32dc480a098e93826eb3ee1ef8e0">pscip_stats_t::tx</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00042">42</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00280">IP_DEBUG_read_errors()</a>, <a class="el" href="k__pscip_8c-source.html#l00884">k_pscip_rdstatistics()</a>, <a class="el" href="k__pscip_8c-source.html#l00163">k_pscip_wrhiprio()</a>, <a class="el" href="k__pscip_8c-source.html#l00303">k_pscip_write()</a>, <a class="el" href="k__pscip_8c-source.html#l00561">k_pscip_wrwave()</a>, and <a class="el" href="pscip_8c-source.html#l00879">pscip_read_proc()</a>.</p>

</div>
</div><p>
<a class="anchor" name="462f1b9d8580e9540a8080cbdf9cb8d9"></a><!-- doxytag: member="pscip_stats_t::txerr_cnt" ref="462f1b9d8580e9540a8080cbdf9cb8d9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structpscip__stats__t.html#462f1b9d8580e9540a8080cbdf9cb8d9">pscip_stats_t::txerr_cnt</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="pscip_8h-source.html#l00042">42</a> of file <a class="el" href="pscip_8h-source.html">pscip.h</a>.</p>

<p>Referenced by <a class="el" href="debug__pscip_8c-source.html#l00280">IP_DEBUG_read_errors()</a>, <a class="el" href="k__pscip_8c-source.html#l00884">k_pscip_rdstatistics()</a>, <a class="el" href="pscip_8c-source.html#l00761">pscip_irq_handler()</a>, and <a class="el" href="pscip_8c-source.html#l00879">pscip_read_proc()</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li>Z:/Project/development/PSCIP/driver/<a class="el" href="pscip_8h-source.html">pscip.h</a></ul>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Dec 5 17:49:46 2008 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.7.1 </small></address>
</body>
</html>
